org.springframework.data.domain

## Enum ExampleMatcher.MatchMode

- java.lang.Object
- - java.lang.Enum<ExampleMatcher.MatchMode>
  - - org.springframework.data.domain.ExampleMatcher.MatchMode

All Implemented Interfaces:
  Serializable, Comparable<ExampleMatcher.MatchMode>

Enclosing interface:
  ExampleMatcher

    public static enum ExampleMatcher.MatchMode
    extends Enum<ExampleMatcher.MatchMode>

The match modes to expose so that clients can find about how to concatenate the predicates.

Since:
  1.13
Author:
  Oliver Gierke
See Also:
  `ExampleMatcher.isAllMatching()`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALL`
`ANY`

### Method Summary

All Methods Static Methods Concrete Methods
`static ExampleMatcher.MatchMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ExampleMatcher.MatchMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ALL

    public static final ExampleMatcher.MatchMode ALL

#### ANY

    public static final ExampleMatcher.MatchMode ANY

### Method Detail

#### values

    public static ExampleMatcher.MatchMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ExampleMatcher.MatchMode c : ExampleMatcher.MatchMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ExampleMatcher.MatchMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null